package asit.moa.client.deliver.moazs;

import asit.moa.client.deliver.DeliveryClient;
import asit.moa.client.deliver.DeliveryHandler;
import asit.moa.client.deliver.DeliveryTypes;
import asit.moa.client.exception.ClientException;

public class MOAZSDeliveryHandler implements DeliveryHandler {

  /*
   * @see asit.moa.client.deliver.DeliveryHandler#getType()
   */
  public String getType() {
    return DeliveryTypes.MOAZS;
  }

  /*
   * @see asit.moa.client.deliver.DeliveryHandler#getDeliveryClient()
   */
  public DeliveryClient getDeliveryClient() throws ClientException {
    return new MOAZSClientImpl();
  }
}
