// Created on 21.03.2005 by troessler for the asit-framework project
//
// Copyright (C) 2005 A-SIT
//http://www.a-sit.at
//
//All rights reserved.
//
//This source is provided for inspection purposes and recompilation only,
//unless specified differently in a contract with ASIT. This source has to
//be kept in strict confidence and must not be disclosed to any third party
//under any circumstances. Redistribution in source and binary forms, with
//or without modification, are <not> permitted in any case!
//
//THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
//ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
//IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
//ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
//FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
//DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
//OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
//HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
//LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
//OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
//SUCH DAMAGE.
package asit.moa.client.id;

import java.security.Principal;

/**
 * @author troessler
 *
 * 
 */
public interface MOAIDPrincipalInterface extends Principal {

  public String getGivenName();
  
  public String getFamilyName();
  
  public String getDateOfBirth();
  
  public String getNameQualifier();
  
  public String getNameIdentifier();
  
  public String getStatusCode();
  
  public void setGivenName(String value);
  
  public void setFamilyName(String value);
  
  public void setDateOfBirth(String value);
  
  public void setNameQualifier(String value);
  
  public void setNameIdentifier(String value);
  
  public void setStatusCode(String value);
  

}
