package asit.moa.client.verify;

/**
 * @author <a href="mailto:thomas.knall@iaik.tugraz.at">Thomas Knall</a>
 */
public class HashInputData {
   
   private String partOf;
   private Integer referringSigReference;
   private byte[] decodedContent;
   
   public String getPartOf() {
      return this.partOf;
   }
   
   public Integer getReferringSigReference() {
      return this.referringSigReference;
   }
   
   public byte[] getDecodedContent() {
      return this.decodedContent;
   }

   protected void setPartOf(String partOf) {
      this.partOf = partOf;
   }

   protected void setReferringSigReference(Integer referringSigReference) {
      this.referringSigReference = referringSigReference;
   }

   protected void setDecodedContent(byte[] decodedContent) {
      this.decodedContent = decodedContent;
   }
   
   protected HashInputData() {
      this.decodedContent = null;
      this.partOf = null;
      this.referringSigReference = null;
   }

   public String toString() {
      StringBuffer buffer = new StringBuffer();
      buffer.append("partOf=").append(this.partOf);
      buffer.append(", referringSigReference=").append(this.referringSigReference);
      buffer.append(", decodedContent=").append(this.decodedContent != null ? (String.valueOf(this.decodedContent.length) + " bytes") : null);
      return buffer.toString();
   }

}
