package asit.moa.client.verify;

import java.io.InputStream;
import java.util.Date;

import org.w3c.dom.Element;

import asit.moa.client.Client;
import asit.moa.client.exception.ClientException;

public interface VerifySignatureClient extends Client {
  
  void setDate(Date date);
  
  void setContent(Element signature);
  void setContent(byte[] signature) throws ClientException;
  
  void setSignatureLocation(String xpathLocation);
  
  void setTrustProfileID(String id);
  
  void addAdditionalReference(String uri, InputStream reference) throws ClientException;
  void addAdditionalNamespace(String prefix, String uri);
  
  void setReturnHashInputData(boolean value);
  
  VerifyResult sendVerifyRequest(String address) throws ClientException;
  VerifyResult sendVerifyRequest() throws ClientException;
  
}
