package asit.test;

import java.io.FileInputStream;

import org.w3c.dom.Document;

import asit.common.Utils;
import asit.moa.client.id.MOAIDPrincipal;
import asit.moa.client.id.MOAIDPrincipalParser;

public class ParseMOAIDResponse {

  /**
   * @param args
   */
  public static void main(String[] args) throws Exception {
    
    Document doc = Utils.readDocFromIsNS(new FileInputStream("res/saml/SampleMOAIDResponse.xml"));
    
    MOAIDPrincipalParser parser = new MOAIDPrincipalParser();
    MOAIDPrincipal principal = parser.parse(doc.getDocumentElement());
    
    System.out.println(principal.getSubjectConfirmationAssertions().size());
    
    //System.out.println(principal.getExtendedSamlAttribute("SignerCertificate", "http://reference.e-government.gv.at/namespace/moa/20020822#"));
    System.out.println(principal.getExtendedSamlAttribute("Mandate", "http://reference.e-government.gv.at/namespace/moa/20020822#"));
  }

}
