package asit.common;

import iaik.utils.Util;
import java.io.ByteArrayOutputStream;
import java.net.HttpURLConnection;
import java.net.URL;


/**
 * @author <a href="mailto:arne.tauber@iaik.tugraz.at">Arne Tauber</a>
 */
public class TomcatUtils {
  
  public static void main(String[] args) {
//    System.out.println(reloadApplication("http://localhost:8080/manager/reload?path=/bescheide", "tomcat", "tomcat"));
  }
  

  
      
  
  public static boolean reloadApplication(String path, String user, String password) {
    try {
      URL url = new URL(path);
      HttpURLConnection conn = (HttpURLConnection)url.openConnection();
      
      String encoded = new String(Util.Base64Encode((user + ":" + password).getBytes()));
      
      conn.setRequestProperty("Authorization", "Basic " + encoded);
      conn.setRequestMethod("GET");
      
      int code = conn.getResponseCode();
      
      if (code == 200) {
        ByteArrayOutputStream bos = new ByteArrayOutputStream();
        Utils.dumpInputOutputStream(conn.getInputStream(), bos);
        
//        System.out.println(bos.toString());
        
        if (bos.toString().startsWith("OK")) {
          return true;
        }
        
      } else {
        ByteArrayOutputStream bos = new ByteArrayOutputStream();
        Utils.dumpInputOutputStream(conn.getErrorStream(), bos);
//        System.out.println(bos.toString());
      }
      
      return false;
    } catch(Exception e) {
      e.printStackTrace();
      return false;
    }
    
  }
  
}
