//Copyright (C) 2004 A-SIT
//http://www.a-sit.at
//
//All rights reserved.
//
//This source is provided for inspection purposes and recompilation only,
//unless specified differently in a contract with ASIT. This source has to
//be kept in strict confidence and must not be disclosed to any third party
//under any circumstances. Redistribution in source and binary forms, with
//or without modification, are <not> permitted in any case!
//
//THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
//ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
//IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
//ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
//FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
//DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
//OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
//HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
//LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
//OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
//SUCH DAMAGE.

package asit.moa.client.deliver;

import java.io.IOException;
import java.io.InputStream;
import asit.moa.client.Client;
import asit.moa.client.deliver.address.Adressat;
import asit.moa.client.exception.DeliveryException;


/**
 * ...
 * 
 * @author <a href="mailto:arne.tauber@iaik.tugraz.at">Arne Tauber</a>
 */
public interface DeliveryClient extends Client {
  
 
  
  /*void setSender(String profileID, String keyID);*/
  public void setReceiver(Adressat data);
  
  /*void setMetaData(String appDeliveryID, String deliveryQuality, boolean requiresEncryption);
  
  public void setXMLDocument(Element document);
  public void setXMLProfileID(String id);
  
  public void addBinaryDocument(InputStream is, String fileName, String mimeType) throws IOException;
  public void addBinaryDocument(BinaryDocument document);*/
  
  void addPayLoadBinaryDocument(InputStream binDoc, String fileName, String mimeType) throws IOException;
  
  public void deliver() throws DeliveryException;
  
}
